Bug Hunting Session
Bug 66027 - EDITING: Writer crashed when attempting to insert/link an item from the sidebar gallery
Summary: EDITING: Writer crashed when attempting to insert/link an item from the sideb...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.1 rc
Hardware: Other All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:4.2.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-06-21 22:22 UTC by Eric Bright
Modified: 2013-07-02 08:27 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
crash report from mac osx 10.8.4 (54.27 KB, text/plain)
2013-06-22 06:48 UTC, Thomas van der Meulen
Details
console + bt with symbols on master sources (9.21 KB, text/plain)
2013-06-22 15:53 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Bright 2013-06-21 22:22:38 UTC
Build ID: 585410476faca215122c96fdd4196ebf77a8df7d

Problem description: 

When try to "insert" either a copy or a link from the gallery, the program crashes. Drag'n'drop works fine though.

Steps to reproduce:
1. Open Writer
2. Open sidebar and go to the gallery tab
3. Right-click on any item in the list to insert
4. Choose "Insert" or "Link"
5. The program crashes

Current behavior:

Writer crashes when inserting/linking items from the gallery.

Expected behavior:

It must insert the item without a program crash
              
Operating System: Windows 8
Version: 4.2.0.0.alpha0+ Master
Last worked in: 4.0.4.2 release
Comment 1 Thomas van der Meulen 2013-06-22 06:48:38 UTC
Created attachment 81194 [details]
crash report from mac osx 10.8.4
Comment 2 Thomas van der Meulen 2013-06-22 06:50:31 UTC
Thank you for your bug report, I can reproduce this bug running LibreOffice Version: 4.1.0.1
Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155 on Mac osx 10.8.4. 

This is a serious bug in the sidebar option.
Comment 3 Julien Nabet 2013-06-22 15:30:15 UTC
lucifer: how to enable sidebar? Do you reproduce this without using sidebar?
On pc Debian x86-64 with master sources updated today, I did "Insert/Picture/From file" and that was ok.
Comment 4 Julien Nabet 2013-06-22 15:43:16 UTC
Sorry for my last comment, I certainly misunderstood. Perhaps you meant "Tools/Gallery". Anyway, still don't know how to enable sidebar.
Comment 5 Julien Nabet 2013-06-22 15:47:01 UTC
Ok I found the sidebar. (for those who were wondering too, it's Tools/Options/LibreOffice-Advanced-Enable experimental sidebar). I reproduced the crash.
Comment 6 Julien Nabet 2013-06-22 15:53:09 UTC
Created attachment 81221 [details]
console + bt with symbols on master sources

I reproduced the crash, I attached console logs and bt.
Comment 7 Julien Nabet 2013-06-22 15:58:46 UTC
Jan: I don't know who's the expert(s) sidebar expert (I checked https://wiki.documentfoundation.org/FindTheExpert) but by looking at commits about it, it seemed to me you might be one :-) One for you?
Comment 8 Michael Stahl (CIB) 2013-07-01 13:12:09 UTC
the old gallery thing doesn't crash here
Comment 9 Caolán McNamara 2013-07-01 14:05:27 UTC
with the old gallery open, the new one doesn't crash either :-)
Comment 10 Commit Notification 2013-07-01 15:55:10 UTC
Ariel Constenla-Haile committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b9ebdadf5a6ebf22b4df7589d86dd8fdfb675b1e

Resolves: fdo#66027 #i122116# Remove GalleryExplorer member functions



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.